<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AreaDamageLoopedDeferred_NoVehicle Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d5e/class_area_damage_looped_deferred___no_vehicle.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">AreaDamageLoopedDeferred_NoVehicle Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>A particular version of the deferred loop used to not damage players inside vehicles.  
 <a href="../../df/d5e/class_area_damage_looped_deferred___no_vehicle.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for AreaDamageLoopedDeferred_NoVehicle:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../df/d5e/class_area_damage_looped_deferred___no_vehicle.png" usemap="#AreaDamageLoopedDeferred_5FNoVehicle_map" alt=""/>
  <map id="AreaDamageLoopedDeferred_5FNoVehicle_map" name="AreaDamageLoopedDeferred_5FNoVehicle_map">
<area href="../../da/d1b/class_area_damage_looped_deferred.html" title="Deferred version of AreaDamageLooped." alt="AreaDamageLoopedDeferred" shape="rect" coords="0,0,245,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:acd59093f6ce81e68a9bd112bb25d84b7"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d5e/class_area_damage_looped_deferred___no_vehicle.html#acd59093f6ce81e68a9bd112bb25d84b7">OnEvaluateDamageEx</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaTime)</td></tr>
<tr class="separator:acd59093f6ce81e68a9bd112bb25d84b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >A particular version of the deferred loop used to not damage players inside vehicles. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/da3/_area_damage_looped_deferred___no_vehicle_8c_source.html#l00002">2</a> of file <a class="el" href="../../d7/da3/_area_damage_looped_deferred___no_vehicle_8c_source.html">AreaDamageLoopedDeferred_NoVehicle.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="acd59093f6ce81e68a9bd112bb25d84b7" name="acd59093f6ce81e68a9bd112bb25d84b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd59093f6ce81e68a9bd112bb25d84b7">&#9670;&#160;</a></span>OnEvaluateDamageEx()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> AreaDamageLoopedDeferred_NoVehicle::OnEvaluateDamageEx </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaTime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/da3/_area_damage_looped_deferred___no_vehicle_8c_source.html#l00004">4</a> of file <a class="el" href="../../d7/da3/_area_damage_looped_deferred___no_vehicle_8c_source.html">AreaDamageLoopedDeferred_NoVehicle.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/AreaDamage/AreaDamageNew/<a class="el" href="../../d7/da3/_area_damage_looped_deferred___no_vehicle_8c_source.html">AreaDamageLoopedDeferred_NoVehicle.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d5e/class_area_damage_looped_deferred___no_vehicle.html">AreaDamageLoopedDeferred_NoVehicle</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
